;*======================================================================*
;* TITLE	: PICTURE.S						*
;* Function	: This file contains data used for different animation	*
;*		  sequences for Crescent Galaxy.			*
;*									*
;* Project #	: JAGUAR ANIMATION SHOW from Sample CD			*
;* Programmer	: Pradip K Fatehpuria	04/19/94			*
;*									*
;* COPYRIGHT(c) 1992,1993 Atari Computer Corporation			*
;* UNATHORIZED REPRODUCTION, ADAPTATION, DISTRIBUTION, PERFORMANCE OR	*
;* DISPLAY OF THIS COMPUTER PROGRAM OR THE ASSOCIATED AUDIOVISUAL WORK	*
;* IS STRICTLY PROHIBITED.						*
;* ALL RIGHTS RESERVED.							*
;*======================================================================*

.title	"PICTURE.S - Animation Data for different sequences"

;*======================================================================*
;* HEADER FILES

.include	'blitter.inc'

;************************************************************************
;*	CONSTANT DATA AREA						*
;************************************************************************

	.data

;*======================================================================*
;*======================================================================*

		.globl		p12_ptr
		.globl		p12_fil
		.long
p12_ptr:	.dcb.b		64,$31
p12_hdr:	.dc.l		(p12_pix-p12_hdr)
p12_len:	.dc.l		(p12_end-p12_pix)
p12_frm:	.dc.w		0
p12_nos:	.dc.w		8
p12_wid:	.dc.w		64
p12_xwd:	.dc.w		WID64
p12_hit:	.dc.w		32,32,32,32,32,32,32,32
		.long
p12_pix:	.include	"dinos.rgb"
p12_end:	.dc.b		"_PKF"
		.long
p12_fil:	.dc.b		"dinos.cdr"
		.long

		.globl		p13_ptr
		.globl		p13_fil
		.long
p13_ptr:	.dcb.b		64,$31
p13_hdr:	.dc.l		(p13_pix-p13_hdr)
p13_len:	.dc.l		(p13_end-p13_pix)
p13_frm:	.dc.w		0
p13_nos:	.dc.w		6
p13_wid:	.dc.w		80
p13_xwd:	.dc.w		WID80
p13_hit:	.dc.w		56,54,53,52,52,52
		.long
p13_pix:	.include	"dragon.rgb"
p13_end:	.dc.b		"_PKF"
		.long
p13_fil:	.dc.b		"dragon.cdr"
		.long

		.globl		p14_ptr
		.globl		p14_fil
		.long
p14_ptr:	.dcb.b		64,$31
p14_hdr:	.dc.l		(p14_pix-p14_hdr)
p14_len:	.dc.l		(p14_end-p14_pix)
p14_frm:	.dc.w		0
p14_nos:	.dc.w		4
p14_wid:	.dc.w		192
p14_xwd:	.dc.w		WID192
p14_hit:	.dc.w		16,16,16,16
		.long
p14_pix:	.include	"elec.rgb"
p14_end:	.dc.b		"_PKF"
		.long
p14_fil:	.dc.b		"elec.cdr"
		.long

		.globl		p15_ptr
		.globl		p15_fil
		.long
p15_ptr:	.dcb.b		64,$31
p15_hdr:	.dc.l		(p15_pix-p15_hdr)
p15_len:	.dc.l		(p15_end-p15_pix)
p15_frm:	.dc.w		0
p15_nos:	.dc.w		8
p15_wid:	.dc.w		64
p15_xwd:	.dc.w		WID64
p15_hit:	.dc.w		52,52,52,52,52,52,52,52
		.long
p15_pix:	.include	"eyelgbl.rgb"
p15_end:	.dc.b		"_PKF"
		.long
p15_fil:	.dc.b		"eyelgbl.cdr"
		.long

		.globl		p16_ptr
		.globl		p16_fil
		.long
p16_ptr:	.dcb.b		64,$31
p16_hdr:	.dc.l		(p16_pix-p16_hdr)
p16_len:	.dc.l		(p16_end-p16_pix)
p16_frm:	.dc.w		0
p16_nos:	.dc.w		8
p16_wid:	.dc.w		64
p16_xwd:	.dc.w		WID64
p16_hit:	.dc.w		52,52,52,52,52,52,52,52
		.long
p16_pix:	.include	"eyelggr.rgb"
p16_end:	.dc.b		"_PKF"
		.long
p16_fil:	.dc.b		"eyelggr.cdr"
		.long

		.globl		p17_ptr
		.globl		p17_fil
		.long
p17_ptr:	.dcb.b		64,$31
p17_hdr:	.dc.l		(p17_pix-p17_hdr)
p17_len:	.dc.l		(p17_end-p17_pix)
p17_frm:	.dc.w		0
p17_nos:	.dc.w		8
p17_wid:	.dc.w		48
p17_xwd:	.dc.w		WID48
p17_hit:	.dc.w		39,39,39,39,39,39,39,39
		.long
p17_pix:	.include	"eyesmbl.rgb"
p17_end:	.dc.b		"_PKF"
		.long
p17_fil:	.dc.b		"eyesmbl.cdr"
		.long

		.globl		p18_ptr
		.globl		p18_fil
		.long
p18_ptr:	.dcb.b		64,$31
p18_hdr:	.dc.l		(p18_pix-p18_hdr)
p18_len:	.dc.l		(p18_end-p18_pix)
p18_frm:	.dc.w		0
p18_nos:	.dc.w		8
p18_wid:	.dc.w		48
p18_xwd:	.dc.w		WID48
p18_hit:	.dc.w		39,39,39,39,39,39,39,39
		.long
p18_pix:	.include	"eyesmgr.rgb"
p18_end:	.dc.b		"_PKF"
		.long
p18_fil:	.dc.b		"eyesmgr.cdr"
		.long

		.globl		p19_ptr
		.globl		p19_fil
		.long
p19_ptr:	.dcb.b		64,$31
p19_hdr:	.dc.l		(p19_pix-p19_hdr)
p19_len:	.dc.l		(p19_end-p19_pix)
p19_frm:	.dc.w		0
p19_nos:	.dc.w		19
p19_wid:	.dc.w		48
p19_xwd:	.dc.w		WID48
p19_hit:	.dc.w		38,39,40,41,40,40,55,54,55,51,39,41,45,49,48,46,43,40,39
		.long
p19_pix:	.include	"fbug.rgb"
p19_end:	.dc.b		"_PKF"
		.long
p19_fil:	.dc.b		"fbug.cdr"
		.long

		.globl		p20_ptr
		.globl		p20_fil
		.long
p20_ptr:	.dcb.b		64,$31
p20_hdr:	.dc.l		(p20_pix-p20_hdr)
p20_len:	.dc.l		(p20_end-p20_pix)
p20_frm:	.dc.w		0
p20_nos:	.dc.w		8
p20_wid:	.dc.w		32
p20_xwd:	.dc.w		WID32
p20_hit:	.dc.w		28,28,28,28,28,28,28,28
		.long
p20_pix:	.include	"fern.rgb"
p20_end:	.dc.b		"_PKF"
		.long
p20_fil:	.dc.b		"fern.cdr"
		.long

		.globl		p21_ptr
		.globl		p21_fil
		.long
p21_ptr:	.dcb.b		64,$31
p21_hdr:	.dc.l		(p21_pix-p21_hdr)
p21_len:	.dc.l		(p21_end-p21_pix)
p21_frm:	.dc.w		0
p21_nos:	.dc.w		6
p21_wid:	.dc.w		32
p21_xwd:	.dc.w		WID32
p21_hit:	.dc.w		21,21,21,21,21,21
		.long
p21_pix:	.include	"ffly.rgb"
p21_end:	.dc.b		"_PKF"
		.long
p21_fil:	.dc.b		"ffly.cdr"
		.long

		.globl		p22_ptr
		.globl		p22_fil
		.long
p22_ptr:	.dcb.b		64,$31
p22_hdr:	.dc.l		(p22_pix-p22_hdr)
p22_len:	.dc.l		(p22_end-p22_pix)
p22_frm:	.dc.w		0
p22_nos:	.dc.w		23
p22_wid:	.dc.w		64
p22_xwd:	.dc.w		WID64
p22_hit:	.dc.w		36,35,34,34,34,35,36,37,40,37,36,36,36,40,40,42,42,42,42,42,40,36,36
		.long
p22_pix:	.include	"fishtx.rgb"
p22_end:	.dc.b		"_PKF"
		.long
p22_fil:	.dc.b		"fishtx.cdr"
		.long

		.globl		p23_ptr
		.globl		p23_fil
		.long
p23_ptr:	.dcb.b		64,$31
p23_hdr:	.dc.l		(p23_pix-p23_hdr)
p23_len:	.dc.l		(p23_end-p23_pix)
p23_frm:	.dc.w		0
p23_nos:	.dc.w		7
p23_wid:	.dc.w		16
p23_xwd:	.dc.w		WID16
p23_hit:	.dc.w		16,16,16,16,16,16,16
		.long
p23_pix:	.include	"flower.rgb"
p23_end:	.dc.b		"_PKF"
		.long
p23_fil:	.dc.b		"flower.cdr"
		.long

;*======================================================================*
;*======================================================================*

;************************************************************************
;*	END OF PICTURE.S
;************************************************************************

	.end
