;*======================================================================*
;* TITLE	: PICTURE.S						*
;* Function	: This file contains data used for different animation	*
;*		  sequences for Crescent Galaxy.			*
;*									*
;* Project #	: JAGUAR ANIMATION SHOW from Sample CD			*
;* Programmer	: Pradip K Fatehpuria	04/19/94			*
;*									*
;* COPYRIGHT(c) 1992,1993 Atari Computer Corporation			*
;* UNATHORIZED REPRODUCTION, ADAPTATION, DISTRIBUTION, PERFORMANCE OR	*
;* DISPLAY OF THIS COMPUTER PROGRAM OR THE ASSOCIATED AUDIOVISUAL WORK	*
;* IS STRICTLY PROHIBITED.						*
;* ALL RIGHTS RESERVED.							*
;*======================================================================*

.title	"PICTURE.S - Animation Data for different sequences"

;*======================================================================*
;* HEADER FILES

.include	'blitter.inc'

;************************************************************************
;*	CONSTANT DATA AREA						*
;************************************************************************

	.data

;*======================================================================*
;*======================================================================*

		.globl		p36_ptr
		.globl		p36_fil
		.long
p36_ptr:	.dcb.b		64,$31
p36_hdr:	.dc.l		(p36_pix-p36_hdr)
p36_len:	.dc.l		(p36_end-p36_pix)
p36_frm:	.dc.w		0
p36_nos:	.dc.w		3
p36_wid:	.dc.w		32
p36_xwd:	.dc.w		WID32
p36_hit:	.dc.w		24,24,24
		.long
p36_pix:	.include	"pillexp.rgb"
p36_end:	.dc.b		"_PKF"
		.long
p36_fil:	.dc.b		"pillexp.cdr"
		.long

		.globl		p37_ptr
		.globl		p37_fil
		.long
p37_ptr:	.dcb.b		64,$31
p37_hdr:	.dc.l		(p37_pix-p37_hdr)
p37_len:	.dc.l		(p37_end-p37_pix)
p37_frm:	.dc.w		0
p37_nos:	.dc.w		1
p37_wid:	.dc.w		32
p37_xwd:	.dc.w		WID32
p37_hit:	.dc.w		64
		.long
p37_pix:	.include	"poppy0.rgb"
p37_end:	.dc.b		"_PKF"
		.long
p37_fil:	.dc.b		"poppy0.cdr"
		.long

		.globl		p38_ptr
		.globl		p38_fil
		.long
p38_ptr:	.dcb.b		64,$31
p38_hdr:	.dc.l		(p38_pix-p38_hdr)
p38_len:	.dc.l		(p38_end-p38_pix)
p38_frm:	.dc.w		0
p38_nos:	.dc.w		1
p38_wid:	.dc.w		16
p38_xwd:	.dc.w		WID16
p38_hit:	.dc.w		48
		.long
p38_pix:	.include	"poppy1.rgb"
p38_end:	.dc.b		"_PKF"
		.long
p38_fil:	.dc.b		"poppy1.cdr"
		.long

		.globl		p39_ptr
		.globl		p39_fil
		.long
p39_ptr:	.dcb.b		64,$31
p39_hdr:	.dc.l		(p39_pix-p39_hdr)
p39_len:	.dc.l		(p39_end-p39_pix)
p39_frm:	.dc.w		0
p39_nos:	.dc.w		1
p39_wid:	.dc.w		32
p39_xwd:	.dc.w		WID32
p39_hit:	.dc.w		80
		.long
p39_pix:	.include	"poppy2.rgb"
p39_end:	.dc.b		"_PKF"
		.long
p39_fil:	.dc.b		"poppy2.cdr"
		.long

		.globl		p40_ptr
		.globl		p40_fil
		.long
p40_ptr:	.dcb.b		64,$31
p40_hdr:	.dc.l		(p40_pix-p40_hdr)
p40_len:	.dc.l		(p40_end-p40_pix)
p40_frm:	.dc.w		0
p40_nos:	.dc.w		14
p40_wid:	.dc.w		64
p40_xwd:	.dc.w		WID64
p40_hit:	.dc.w		50,50,50,50,50,50,50,50,50,50,50,50,50,50
		.long
p40_pix:	.include	"prockb.rgb"
p40_end:	.dc.b		"_PKF"
		.long
p40_fil:	.dc.b		"prockb.cdr"
		.long

		.globl		p41_ptr
		.globl		p41_fil
		.long
p41_ptr:	.dcb.b		64,$31
p41_hdr:	.dc.l		(p41_pix-p41_hdr)
p41_len:	.dc.l		(p41_end-p41_pix)
p41_frm:	.dc.w		0
p41_nos:	.dc.w		14
p41_wid:	.dc.w		32
p41_xwd:	.dc.w		WID32
p41_hit:	.dc.w		27,27,27,25,23,22,25,27,28,27,25,24,26,27
		.long
p41_pix:	.include	"prockm.rgb"
p41_end:	.dc.b		"_PKF"
		.long
p41_fil:	.dc.b		"prockm.cdr"
		.long

		.globl		p42_ptr
		.globl		p42_fil
		.long
p42_ptr:	.dcb.b		64,$31
p42_hdr:	.dc.l		(p42_pix-p42_hdr)
p42_len:	.dc.l		(p42_end-p42_pix)
p42_frm:	.dc.w		0
p42_nos:	.dc.w		14
p42_wid:	.dc.w		16
p42_xwd:	.dc.w		WID16
p42_hit:	.dc.w		13,13,13,13,13,13,13,13,13,13,13,13,13,13
		.long
p42_pix:	.include	"procks.rgb"
p42_end:	.dc.b		"_PKF"
		.long
p42_fil:	.dc.b		"procks.cdr"
		.long

		.globl		p43_ptr
		.globl		p43_fil
		.long
p43_ptr:	.dcb.b		64,$31
p43_hdr:	.dc.l		(p43_pix-p43_hdr)
p43_len:	.dc.l		(p43_end-p43_pix)
p43_frm:	.dc.w		0
p43_nos:	.dc.w		19
p43_wid:	.dc.w		64
p43_xwd:	.dc.w		WID64
p43_hit:	.dc.w		38,38,37,38,37,38,40,50,38,38,40,45,48,50,45,41,38,38,38
		.long
p43_pix:	.include	"rat.rgb"
p43_end:	.dc.b		"_PKF"
		.long
p43_fil:	.dc.b		"rat.cdr"
		.long

		.globl		p44_ptr
		.globl		p44_fil
		.long
p44_ptr:	.dcb.b		64,$31
p44_hdr:	.dc.l		(p44_pix-p44_hdr)
p44_len:	.dc.l		(p44_end-p44_pix)
p44_frm:	.dc.w		0
p44_nos:	.dc.w		5
p44_wid:	.dc.w		160
p44_xwd:	.dc.w		WID160
p44_hit:	.dc.w		96,89,87,85,85
		.long
p44_pix:	.include	"robot.rgb"
p44_end:	.dc.b		"_PKF"
		.long
p44_fil:	.dc.b		"robot.cdr"
		.long

		.globl		p45_ptr
		.globl		p45_fil
		.long
p45_ptr:	.dcb.b		64,$31
p45_hdr:	.dc.l		(p45_pix-p45_hdr)
p45_len:	.dc.l		(p45_end-p45_pix)
p45_frm:	.dc.w		0
p45_nos:	.dc.w		16
p45_wid:	.dc.w		48
p45_xwd:	.dc.w		WID48
p45_hit:	.dc.w		47,47,47,47,47,47,47,47,47,47,47,47,47,47,47,47
		.long
p45_pix:	.include	"rockb.rgb"
p45_end:	.dc.b		"_PKF"
		.long
p45_fil:	.dc.b		"rockb.cdr"
		.long

		.globl		p46_ptr
		.globl		p46_fil
		.long
p46_ptr:	.dcb.b		64,$31
p46_hdr:	.dc.l		(p46_pix-p46_hdr)
p46_len:	.dc.l		(p46_end-p46_pix)
p46_frm:	.dc.w		0
p46_nos:	.dc.w		16
p46_wid:	.dc.w		32
p46_xwd:	.dc.w		WID32
p46_hit:	.dc.w		23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23
		.long
p46_pix:	.include	"rockm.rgb"
p46_end:	.dc.b		"_PKF"
		.long
p46_fil:	.dc.b		"rockm.cdr"
		.long

		.globl		p47_ptr
		.globl		p47_fil
		.long
p47_ptr:	.dcb.b		64,$31
p47_hdr:	.dc.l		(p47_pix-p47_hdr)
p47_len:	.dc.l		(p47_end-p47_pix)
p47_frm:	.dc.w		0
p47_nos:	.dc.w		16
p47_wid:	.dc.w		16
p47_xwd:	.dc.w		WID16
p47_hit:	.dc.w		11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11
		.long
p47_pix:	.include	"rocks.rgb"
p47_end:	.dc.b		"_PKF"
		.long
p47_fil:	.dc.b		"rocks.cdr"
		.long

;*======================================================================*
;*======================================================================*

;************************************************************************
;*	END OF PICTURE.S
;************************************************************************

	.end
