/******************************************************************************/
/* ST_TOS.H								      */
/******************************************************************************/

#ifndef	__HEADER_ST_TOS
#define	__HEADER_ST_TOS		__HEADER_ST_TOS

/* -------------------------------------------------------------------------- */

#define	MAX_TOS_LANGUAGE	17

/* -------------------------------------------------------------------------- */

typedef	struct	Cky
	{

	unsigned long	c;
	unsigned long	v;

	} Cookie;

#define COOKIE_AKP	"_AKP"

typedef struct	_akp
	{
	char	res1, res2;	/* reserved */
	char	language_pref;	/* Uses Country / Language codes */
	char	keyboard_type;	/* defined in RAINBOW TOS RELEASE NOTES */

	} AKP_Cookie;

#define	COOKIE_FSM	"FSMC"
#define	COOKIE_FSM_VAL	"_SPD"

#define	COOKIE_SND	"_SND"
#define	COOKIE_MCH	"_MCH"

/* -------------------------------------------------------------------------- */

void	st_get_tos_version( void );

int	st_get_cookie( unsigned char *, long * );

int	st_get_language( void );

int	st_ismint_installed( void );
int	st_isspd_installed( void );

void	st_error_appl_init( void );
void	st_error_load_resource( void );

/* -------------------------------------------------------------------------- */

#endif

/******************************************************************************/
/* End of ST_TOS.H							      */
/******************************************************************************/
