	.include	'jaguar.inc'

LEVEL2	equ	4*$40

	.globl	IntInit
	.extern	Lister

; This will set up the VI (Vertical line counter Interrupt)
; Or it would if the low order bit of INT1 REALLY was the VI interrupt

IntInit:
	move.l	#Frame,LEVEL2
	move.w	#51,VI
	move.w	#$1,INT1

	move.w	sr,d0
	and.w	#$f8ff,d0
	move.w	d0,sr

	rts

Frame:
	movem.l	d0-d5/a0-a5,-(sp)

	jsr	Lister

	move.w	#$101,INT1
	move.w	#0,INT2
	movem.l	(sp)+,d0-d5/a0-a5
	rte


