#include <stdio.h>

static unsigned char	SrcA[16000];
static unsigned char	SrcP[16000];
static unsigned char	OutP[32000];

main(int argc, char *argv[])
{
register FILE	*SrcAudio;
register FILE	*SrcPictr;
register FILE	*OutTrack;
int	NoTimes;
int	Counter;
register int	i,j,k,l;

	if (argc < 4)
		return(0);

	printf("Source Audio File Name   : %s (%ld)\n", argv[1], SrcAudio);
	printf("Source Picture File Name : %s (%ld)\n", argv[2], SrcPictr);
	printf("Destination File Name    : %s (%ld)\n", argv[3], OutTrack);

	SrcAudio = fopen(argv[1],"rb");
	SrcPictr = fopen(argv[2],"rb");
	OutTrack = fopen(argv[3],"wb") ;

	printf("Source Audio File Name   : %s (%ld)\n", argv[1], SrcAudio);
	printf("Source Picture File Name : %s (%ld)\n", argv[2], SrcPictr);
	printf("Destination File Name    : %s (%ld)\n", argv[3], OutTrack);

	if (!SrcAudio)
		return(-10);
	if (!SrcPictr)
		return(-11);
	if (!OutTrack)
		return(-12);

	for (NoTimes = 0 ; NoTimes < 60 ; NoTimes ++)
	{
		printf("no of times = %d\n", NoTimes);
		for (Counter = 0 ; Counter < 8 ; Counter ++)
		{
			if (!fread(SrcA, (size_t)1, (size_t)16000, SrcAudio))
				return(-1);
			if (!fread(SrcP, (size_t)1, (size_t)16000, SrcPictr))
				return(-2);
			i = j = k = 0;
			for (l = 0 ; l < 8000 ; l++)
			{
				OutP[i++] = SrcA[j++];
				OutP[i++] = SrcA[j++];
				OutP[i++] = SrcP[k++];
				OutP[i++] = SrcP[k++];
			}
			if (!fwrite(OutP, (size_t)1, (size_t)32000, OutTrack))
				return(-3);
		}
		if (fseek(SrcPictr, (long)0, 0) < 0)
			return(-4);
	}
	fclose(SrcAudio);
	fclose(SrcPictr);
	fclose(OutTrack);
	return(1);
}