/************************************************************************/
/* TITLE	: DEFS.H						*/
/* Function	: Some General Definitions				*/
/*									*/
/* Project #	: JAGUAR CD+G						*/
/* Programmer	: Pradip K Fatehpuria	11/10/93			*/
/*									*/
/* COPYRIGHT 1993 Atari Computer Corporation				*/
/* UNATHORIZED REPRODUCTION, ADAPTATION, DISTRIBUTION, PERFORMANCE OR	*/
/* DISPLAY OF THIS COMPUTER PROGRAM OR THE ASSOCIATED AUDIOVISUAL WORK	*/
/* IS STRICTLY PROHIBITED.						*/
/* ALL RIGHTS RESERVED.							*/
/************************************************************************/

/*======================================================================*/

#define	TRUE	1
#define	FALSE	0

/*======================================================================*/

#define	TYPE_LINE_GRAPHICS	0x0001
#define	TYPE_TV_GRAPHICS	0x0002

/*======================================================================*/

#define	LINECOL_BLACK		0x0000		/* (000) Black	 */
#define	LINECOL_BLUE		0x07C0		/* (001) Blue	 */
#define	LINECOL_GREEN		0x003F		/* (010) Green	 */
#define	LINECOL_CYAN		0x07FF		/* (011) Cyan	 */
#define	LINECOL_RED		0xF800		/* (100) Red	 */
#define	LINECOL_MAGENTA		0xFFC0		/* (101) Magenta */
#define	LINECOL_YELLOW		0xF83F		/* (110) Yellow	 */
#define	LINECOL_WHITE		0xFFFF		/* (111) White	 */

#define	LINECOL_BG		LINECOL_BLUE

/*======================================================================*/

#define	TVCOL_BLACK		0x0000		/* (000) Black	 */
#define	TVCOL_BLUE		0x0101		/* (001) Blue	 */
#define	TVCOL_GREEN		0x0202		/* (010) Green	 */
#define	TVCOL_CYAN		0x0303		/* (011) Cyan	 */
#define	TVCOL_RED		0x0404		/* (100) Red	 */
#define	TVCOL_MAGENTA		0x0505		/* (101) Magenta */
#define	TVCOL_YELLOW		0x0606		/* (110) Yellow	 */
#define	TVCOL_WHITE		0x0707		/* (111) White	 */

#define	TVCOL_BG		TVCOL_BLUE

/*======================================================================*/

#define	COPH_NONE		0x0000
#define	COPH_RIGHT		0x0010
#define	COPH_LEFT		0x0020

#define	COPV_NONE		0x0000
#define	COPV_DOWN		0x0010
#define	COPV_UP			0x0020

/************************************************************************/
/*	END OF FILE							*/
/************************************************************************/
