/************************************************************************/
/* TITLE	: PACKBIND.H						*/
/* Function	: Different Function Bindings				*/
/*									*/
/* Project #	: JAGUAR CD+G						*/
/* Programmer	: Pradip K Fatehpuria	11/10/93			*/
/*									*/
/* COPYRIGHT(c) 1992,1993 Atari Computer Corporation			*/
/* UNATHORIZED REPRODUCTION, ADAPTATION, DISTRIBUTION, PERFORMANCE OR	*/
/* DISPLAY OF THIS COMPUTER PROGRAM OR THE ASSOCIATED AUDIOVISUAL WORK	*/
/* IS STRICTLY PROHIBITED.						*/
/* ALL RIGHTS RESERVED.							*/
/************************************************************************/

/* -------------------------------------------------------------------- */
/* PACK.C */

void	procsub( void );

void	procpack( unsigned short *pack );
void	procfunc( unsigned short item, unsigned short *itemlist, void (*funclist[])() );

void	ldclut1( short colno );
void	ldclut2( short colno );
void	ldtrans( void );

/* -------------------------------------------------------------------- */
/* ZERO.C */

void	proczero( void );

/* -------------------------------------------------------------------- */
/* LINE.C */

void	procline( void );

/* -------------------------------------------------------------------- */
/* TVGRAF.C */

void	proctv( void );

/* -------------------------------------------------------------------- */
/* EXTVGRAF.C */

void	procextv( void );

/* -------------------------------------------------------------------- */
/* MIDI.C */

void	procmidi( void );

/* -------------------------------------------------------------------- */
/* USER.C */

void	procuser( void );

/* -------------------------------------------------------------------- */
/* STARTUP.S */

void	done( void );

/* -------------------------------------------------------------------- */
/* JAGUAR.S */

void	initCDG( void );
void	initcol( void );

void	clrscren( unsigned short );
void	clrtvdsp( unsigned short );
void	clrtvgrf( unsigned short );
void	clrlndsp( unsigned short );
void	clrlngrf( unsigned short );
void	clrbuffr( void );

/* -------------------------------------------------------------------- */
/* OBJLIST.S */

void	defcolor( void );

void	setscren( short flag );
void	settvgrf( short flag );
void	setlngrf( short flag );

/* -------------------------------------------------------------------- */
/* BLITFONT.S */

void	stopblit( void );

void	bltfnt08( short x, short y, short ch );
void	cp2tvdsp( void );

void	bltfnt16( short x, short y, short ch );
void	cp2lndsp( void );

/* -------------------------------------------------------------------- */
/* TEST.C */

void	hndljoy( void );
void	bildfont( short ascii, void *dp );

/* -------------------------------------------------------------------- */

/************************************************************************/
/*	END OF FILE							*/
/************************************************************************/

