;*======================================================================*
;* TITLE	: PICTURE.S						*
;* Function	: This file contains data used for different animation	*
;*		  sequences for Crescent Galaxy.			*
;*									*
;* Project #	: JAGUAR ANIMATION SHOW from Sample CD			*
;* Programmer	: Pradip K Fatehpuria	04/19/94			*
;*									*
;* COPYRIGHT(c) 1992,1993 Atari Computer Corporation			*
;* UNATHORIZED REPRODUCTION, ADAPTATION, DISTRIBUTION, PERFORMANCE OR	*
;* DISPLAY OF THIS COMPUTER PROGRAM OR THE ASSOCIATED AUDIOVISUAL WORK	*
;* IS STRICTLY PROHIBITED.						*
;* ALL RIGHTS RESERVED.							*
;*======================================================================*

.title	"PICTURE.S - Animation Data for different sequences"

;*======================================================================*
;* HEADER FILES

.include	'blitter.inc'

;************************************************************************
;*	CONSTANT DATA AREA						*
;************************************************************************

	.data

;*======================================================================*
;*======================================================================*

		.globl		p24_ptr
		.globl		p24_fil
		.long
p24_ptr:	.dcb.b		64,$31
p24_hdr:	.dc.l		(p24_pix-p24_hdr)
p24_len:	.dc.l		(p24_end-p24_pix)
p24_frm:	.dc.w		0
p24_nos:	.dc.w		7
p24_wid:	.dc.w		48
p24_xwd:	.dc.w		WID48
p24_hit:	.dc.w		16,28,48,85,124,198,243
		.long
p24_pix:	.include	"geyser.rgb"
p24_end:	.dc.b		"_PKF"
		.long
p24_fil:	.dc.b		"geyser.cdr"
		.long

		.globl		p25_ptr
		.globl		p25_fil
		.long
p25_ptr:	.dcb.b		64,$31
p25_hdr:	.dc.l		(p25_pix-p25_hdr)
p25_len:	.dc.l		(p25_end-p25_pix)
p25_frm:	.dc.w		0
p25_nos:	.dc.w		8
p25_wid:	.dc.w		48
p25_xwd:	.dc.w		WID48
p25_hit:	.dc.w		39,39,38,37,39,38,37,36
		.long
p25_pix:	.include	"glowbug.rgb"
p25_end:	.dc.b		"_PKF"
		.long
p25_fil:	.dc.b		"glowbug.cdr"
		.long

		.globl		p26_ptr
		.globl		p26_fil
		.long
p26_ptr:	.dcb.b		64,$31
p26_hdr:	.dc.l		(p26_pix-p26_hdr)
p26_len:	.dc.l		(p26_end-p26_pix)
p26_frm:	.dc.w		0
p26_nos:	.dc.w		7
p26_wid:	.dc.w		32
p26_xwd:	.dc.w		WID32
p26_hit:	.dc.w		22,22,22,22,22,22,22
		.long
p26_pix:	.include	"gund.rgb"
p26_end:	.dc.b		"_PKF"
		.long
p26_fil:	.dc.b		"gund.cdr"
		.long

		.globl		p27_ptr
		.globl		p27_fil
		.long
p27_ptr:	.dcb.b		64,$31
p27_hdr:	.dc.l		(p27_pix-p27_hdr)
p27_len:	.dc.l		(p27_end-p27_pix)
p27_frm:	.dc.w		0
p27_nos:	.dc.w		10
p27_wid:	.dc.w		32
p27_xwd:	.dc.w		WID32
p27_hit:	.dc.w		21,21,21,21,20,20,20,22,23,24
		.long
p27_pix:	.include	"humm.rgb"
p27_end:	.dc.b		"_PKF"
		.long
p27_fil:	.dc.b		"humm.cdr"
		.long

		.globl		p28_ptr
		.globl		p28_fil
		.long
p28_ptr:	.dcb.b		64,$31
p28_hdr:	.dc.l		(p28_pix-p28_hdr)
p28_len:	.dc.l		(p28_end-p28_pix)
p28_frm:	.dc.w		0
p28_nos:	.dc.w		8
p28_wid:	.dc.w		48
p28_xwd:	.dc.w		WID48
p28_hit:	.dc.w		46,46,46,46,46,46,47,47
		.long
p28_pix:	.include	"kilrun.rgb"
p28_end:	.dc.b		"_PKF"
		.long
p28_fil:	.dc.b		"kilrun.cdr"
		.long

		.globl		p29_ptr
		.globl		p29_fil
		.long
p29_ptr:	.dcb.b		64,$31
p29_hdr:	.dc.l		(p29_pix-p29_hdr)
p29_len:	.dc.l		(p29_end-p29_pix)
p29_frm:	.dc.w		0
p29_nos:	.dc.w		16
p29_wid:	.dc.w		32
p29_xwd:	.dc.w		WID32
p29_hit:	.dc.w		23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23
		.long
p29_pix:	.include	"medcrysa.rgb"
p29_end:	.dc.b		"_PKF"
		.long
p29_fil:	.dc.b		"medcrysa.cdr"
		.long

		.globl		p30_ptr
		.globl		p30_fil
		.long
p30_ptr:	.dcb.b		64,$31
p30_hdr:	.dc.l		(p30_pix-p30_hdr)
p30_len:	.dc.l		(p30_end-p30_pix)
p30_frm:	.dc.w		0
p30_nos:	.dc.w		16
p30_wid:	.dc.w		32
p30_xwd:	.dc.w		WID32
p30_hit:	.dc.w		23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23
		.long
p30_pix:	.include	"medcrysb.rgb"
p30_end:	.dc.b		"_PKF"
		.long
p30_fil:	.dc.b		"medcrysb.cdr"
		.long

		.globl		p31_ptr
		.globl		p31_fil
		.long
p31_ptr:	.dcb.b		64,$31
p31_hdr:	.dc.l		(p31_pix-p31_hdr)
p31_len:	.dc.l		(p31_end-p31_pix)
p31_frm:	.dc.w		0
p31_nos:	.dc.w		1
p31_wid:	.dc.w		128
p31_xwd:	.dc.w		WID128
p31_hit:	.dc.w		96
		.long
p31_pix:	.include	"ming.rgb"
p31_end:	.dc.b		"_PKF"
		.long
p31_fil:	.dc.b		"ming.cdr"
		.long

		.globl		p32_ptr
		.globl		p32_fil
		.long
p32_ptr:	.dcb.b		64,$31
p32_hdr:	.dc.l		(p32_pix-p32_hdr)
p32_len:	.dc.l		(p32_end-p32_pix)
p32_frm:	.dc.w		0
p32_nos:	.dc.w		16
p32_wid:	.dc.w		64
p32_xwd:	.dc.w		WID64
p32_hit:	.dc.w		40,41,42,42,42,42,41,41,41,40,39,40,39,38,39,39
		.long
p32_pix:	.include	"pebblb.rgb"
p32_end:	.dc.b		"_PKF"
		.long
p32_fil:	.dc.b		"pebblb.cdr"
		.long

		.globl		p33_ptr
		.globl		p33_fil
		.long
p33_ptr:	.dcb.b		64,$31
p33_hdr:	.dc.l		(p33_pix-p33_hdr)
p33_len:	.dc.l		(p33_end-p33_pix)
p33_frm:	.dc.w		0
p33_nos:	.dc.w		16
p33_wid:	.dc.w		48
p33_xwd:	.dc.w		WID48
p33_hit:	.dc.w		23,23,24,24,24,24,23,23,23,23,22,23,22,22,22,22
		.long
p33_pix:	.include	"pebblm.rgb"
p33_end:	.dc.b		"_PKF"
		.long
p33_fil:	.dc.b		"pebblm.cdr"
		.long

		.globl		p34_ptr
		.globl		p34_fil
		.long
p34_ptr:	.dcb.b		64,$31
p34_hdr:	.dc.l		(p34_pix-p34_hdr)
p34_len:	.dc.l		(p34_end-p34_pix)
p34_frm:	.dc.w		0
p34_nos:	.dc.w		16
p34_wid:	.dc.w		16
p34_xwd:	.dc.w		WID16
p34_hit:	.dc.w		11,12,12,12,12,12,12,12,12,12,11,11,11,11,11,11
		.long
p34_pix:	.include	"pebbls.rgb"
p34_end:	.dc.b		"_PKF"
		.long
p34_fil:	.dc.b		"pebbls.cdr"
		.long

		.globl		p35_ptr
		.globl		p35_fil
		.long
p35_ptr:	.dcb.b		64,$31
p35_hdr:	.dc.l		(p35_pix-p35_hdr)
p35_len:	.dc.l		(p35_end-p35_pix)
p35_frm:	.dc.w		0
p35_nos:	.dc.w		8
p35_wid:	.dc.w		16
p35_xwd:	.dc.w		WID16
p35_hit:	.dc.w		16,16,16,16,16,16,16,16
		.long
p35_pix:	.include	"pillbug.rgb"
p35_end:	.dc.b		"_PKF"
		.long
p35_fil:	.dc.b		"pillbug.cdr"
		.long

;*======================================================================*
;*======================================================================*

;************************************************************************
;*	END OF PICTURE.S
;************************************************************************

	.end
