;************************************************************************
;* TITLE	: PACK.INC						*
;* Function	: Some EQUATES used in CD+G stuff			*
;*									*
;* Project #	: JAGUAR CD+G						*
;* Programmer	: Pradip K Fatehpuria	11/10/93			*
;*									*
;* COPYRIGHT(c) 1992,1993 Atari Computer Corporation			*
;* UNATHORIZED REPRODUCTION, ADAPTATION, DISTRIBUTION, PERFORMANCE OR	*
;* DISPLAY OF THIS COMPUTER PROGRAM OR THE ASSOCIATED AUDIOVISUAL WORK	*
;* IS STRICTLY PROHIBITED.						*
;* ALL RIGHTS RESERVED.							*
;************************************************************************

;*======================================================================*

TRUE			equ	1
FALSE			equ	0

;*======================================================================*

LN_GRAPH		equ	$0001
TV_GRAPH		equ	$0002

;*======================================================================*

LNCOL_BLACK		equ	$0000		; (000) Black
LNCOL_BLUE		equ	$07C0		; (001) Blue
LNCOL_GREEN		equ	$003F		; (010) Green
LNCOL_CYAN		equ	$07FF		; (011) Cyan
LNCOL_RED		equ	$F800		; (100) Red
LNCOL_MAGENTA		equ	$FFC0		; (101) Magent
LNCOL_YELLOW		equ	$F83F		; (110) Yellow
LNCOL_WHITE		equ	$FFFF		; (111) White

LNCOL_BG		equ	LNCOL_BLUE

;*======================================================================*

TVCOL_BLACK		equ	$0000		; (000) Black
TVCOL_BLUE		equ	$0101		; (001) Blue
TVCOL_GREEN		equ	$0202		; (010) Green
TVCOL_CYAN		equ	$0303		; (011) Cyan
TVCOL_RED		equ	$0404		; (100) Red
TVCOL_MAGENTA		equ	$0505		; (101) Magent
TVCOL_YELLOW		equ	$0606		; (110) Yellow
TVCOL_WHITE		equ	$0707		; (111) White

TVCOL_BG		equ	TVCOL_BLUE

;*======================================================================*

COPH_NONE		equ	$00
COPH_RIGHT		equ	$10
COPH_LEFT		equ	$20

COPV_NONE		equ	$00
COPV_DOWN		equ	$10
COPV_UP			equ	$20

;*======================================================================*

TVSCR_YPOS		equ	4
TVSCR_HITE		equ	192

LNSCR_YPOS		equ	160
LNSCR_HITE		equ	24

;*======================================================================*

SYMB00			equ	$00	; 00
SYMB01			equ	$42	; 01
SYMB02			equ	$7D	; 02
SYMB03			equ	$BF	; 03
SYMB04			equ	$64	; 04
SYMB05			equ	$32	; 05
SYMB06			equ	$96	; 06
SYMB07			equ	$AF	; 07
SYMB08			equ	$08	; 08
SYMB09			equ	$21	; 09
SYMB10			equ	$3A	; 0A
SYMB11			equ	$53	; 0B
SYMB12			equ	$6C	; 0C
SYMB13			equ	$85	; 0D
SYMB14			equ	$9E	; 0E
SYMB15			equ	$B7	; 0F
SYMB16			equ	$10	; 10
SYMB17			equ	$29	; 11
SYMB18			equ	$19	; 12
SYMB19			equ	$5B	; 13
SYMB20			equ	$74	; 14
SYMB21			equ	$8D	; 15
SYMB22			equ	$A6	; 16
SYMB23			equ	$4B	; 17

;************************************************************************
;*	END OF FILE							*
;************************************************************************

